"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.encodeStringToBuffer = exports.decodeBufferToString = void 0;
const charset_1 = __importDefault(require("../processing/encoding/charset"));
const iconv_lite_1 = __importDefault(require("iconv-lite"));
function decodeBufferToString(content, contentType) {
    const charset = new charset_1.default();
    charset.fromContentType(contentType);
    return iconv_lite_1.default.decode(content, charset.get());
}
exports.decodeBufferToString = decodeBufferToString;
function encodeStringToBuffer(content, contentType) {
    const charset = new charset_1.default();
    charset.fromContentType(contentType);
    return iconv_lite_1.default.encode(content, charset.get());
}
exports.encodeStringToBuffer = encodeStringToBuffer;
